#ifndef __WINCONSDK_H__

#define __WINCONSDK_H__

// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the WINCONSDK_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// WINCONSDK_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.

#ifdef WINCONSDK_EXPORTS
#define WINCONSDK_API extern "C" __declspec(dllexport)
#else
#define WINCONSDK_API extern "C" __declspec(dllimport)
#endif

/* Vincent marked, since compiler error
// This class is exported from the WinconSDK.dll
class WINCONSDK_API CWinconSDK {
public:
	CWinconSDK(void);
	// TODO: add your methods here.
};
*/

WINCONSDK_API int nWinconSDK;

WINCONSDK_API int fnWinconSDK(void);

#include <WinCon.h>

// Added by Vincent to include Troy's source code for AO AI and motion control modules
#include <i8017h.h>
#include <i8024.h>
#include <i8090.h>
#include <i8091.h>

#endif // __WINCONSDK_H__
